%define tarname spice-xpi
%define tarversion 2.4

Name:           spice-xpi
Version:        2.4
Release:        6%{?dist}
Summary: SPICE extension for Mozilla
Group: Applications/Internet
License:        GPLv2+
URL:            http://www.redhat.com/
Source0:        %{tarname}-%{tarversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{tarname}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: spice-xpi-01-add-npplat.h.patch
Patch2: spice-xpi-02-add-nsISpicec.xpt.patch
Patch3: spice-xpi-03-add-version-to-plugin-name.patch
Patch4: spice-xpi-04-version-is-2.4.patch
Patch5: spice-xpi-05-change-file-locations.patch
Patch6: spice-xpi-06-look-for-spicec-in-usr-bin.patch
Patch7: spice-xpi-07-getset-issue.patch
Patch8: spice-xpi-08-usbrdrctrl.patch
Patch9: spice-xpi-09-xulrunner-api.patch

BuildRequires:  gcc-c++
BuildRequires:  zip
BuildRequires:  log4cpp-devel
BuildRequires:  libX11-devel
BuildRequires:  xulrunner-devel
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  autoconf

ExclusiveArch:  x86_64 %{ix86}

Requires: firefox
Requires: spice-client >= 0.4.2-18
Requires: log4cpp

%description
SPICE extension for mozilla allows the client to be used from a web browser.

%prep
%setup -q -n %{tarname}-%{tarversion}
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 -p 1
%patch6 -p 1
%patch7 -p 1
%patch8 -p 1
%patch9 -p 1

%build
aclocal
libtoolize --automake
autoheader
automake --add-missing
autoconf
mkdir m4
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/mozilla/plugins/*
%{_datadir}/spice/
%exclude %{_libdir}/mozilla/*.rdf
%exclude %{_libdir}/mozilla/plugins/*.a
%exclude %{_libdir}/mozilla/plugins/*.la
%doc COPYING README

%changelog
* Thu Apr 26 2012 Peter Hatina <phatina@redhat.com> 2.4-6
- Fixed build issue caused by xulrunner api
  Resolves: rhbz#817470

* Thu Apr 26 2012 Peter Hatina <phatina@redhat.com> 2.4-5
- Fixed mozilla plugins directory ownership
  Resolves: rhbz#795513

* Mon Jul  4 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 2.4-4.el5
- RHEL5 packaging
- Resolves: rhbz#612967

* Thu Mar 31 2011 Peter Hatina <phatina@redhat.com> 2.4-4
- Fix security vulnerability CVE-2011-0012 (rhbz#639869)
  Resolves: rhbz#639871

* Wed Mar 23 2011 Peter Hatina <phatina@redhat.com> 2.4-3
- Fix security vulnerability CVE-2011-1179 (rhbz#689931)
  Resolves: rhbz#689933

* Thu Feb 3 2011 Uri Lublin <uril@redhat.com> 2.4-2
- add npplat.h to Makefile.am sources
- add nsISpicec.xpt to Makefile.am EXTRA_DIST
- add version to plugin name string
Resolves: #672761
- change location & name  of logfile & unix-domain-socket
Resolves: #630601
- look for spicec in /usr/bin if not found in /usr/libexec
Resolves: #672497


* Wed Aug 4 2010 Martin Stransky <stransky@redhat.com > 2.4-1
- fixed rhbz#620445, rhbz#620447, rhbz#620448

* Tue Jul 27 2010 Martin Stransky <stransky@redhat.com > 2.3-0.5
- rhbz#618292 - NPRuntime support

* Wed Jul 14 2010 Uri Lublin <uril@redhat.com> 2.3-0.4
- ~nsPluginInstance: check mScriptablePeer before accessing it
  Resolves: #604678

* Thu Jun 24 2010 Uri Lublin <uril@redhat.com> 2.3-0.3
- Build packages for i686 too.
  Resolves: #604661

* Tue Jun 15 2010 Ray Strode <rstrode@redhat.com> 2.3-0.2
- Change dep to spice-client from qspice-client
  Resolves: #604202

* Thu Jun 10 2010 Dennis Gregorovic <dgregor@redhat.com> - 2.3-0.1
- Rebuilt for RHEL 6
- Related: rhbz#552646

* Mon Feb 01 2010 Yuval Kashtan <ykashtan@redhat.com> - 2.3-0.el6
- RHEL-6.0 with new controller

* Wed Jan 20 2010 Yuval Kashtan <ykashtan@redhat.com> - 2.2-0.el5
- Initial package

